summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d25e3700668
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Contributor: Graziano Giuliani <graziano.giuliani@poste.it>
+pkgname=eccodes
+pkgver=2.0.2
+_attnum=45757960
+pkgrel=1
+pkgdesc="ECMWF decoding library for GRIB, BUFR and GTS"
+arch=('i686' 'x86_64')
+url="https://software.ecmwf.int/wiki/display/ECC/ecCodes+Home"
+license=('Apache')
+depends=('openjpeg' 'libpng' 'python2' 'netcdf')
+optdepends=('libaec: for compression' 'jasper: as an alternative to openjpeg')
+makedepends=('gcc-fortran' 'python2' 'python2-numpy' 'cmake')
+conflicts=('grib_def' 'libbufr-ecmwf')
+source=(http://software.ecmwf.int/wiki/download/attachments/${_attnum}/${pkgname}-${pkgver}-Source.tar.gz)
+md5sums=('dec29b6850401d99b0e0344844b2bf4a')
+
+build() {
+ cd "$srcdir"/${pkgname}-${pkgver}-Source
+ mkdir -p build
+ cd build
+ [ -x /usr/bin/aec ] && has_aec=1 || has_aec=0
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=production \
+ -DCMAKE_INSTALL_DATAROOTDIR=/usr/share/$pkgname/definitions \
+ -DCMAKE_INSTALL_DATADIR=/usr/share -DENABLE_AEC=$has_aec \
+ -DENABLE_PNG=1 -DENABLE_GRIB_THREADS=1 \
+ -DOPENJPEG_INCLUDE_DIR=`pkg-config --variable=includedir libopenjpeg` \
+ -DPYTHON_EXECUTABLE=/usr/bin/python2 ..
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/${pkgname}-${pkgver}-Source/build
+ make DESTDIR="$pkgdir" install || return 1
+}